require 'uu/os/rest/paging_criteria'



module UU
  module ADK
    module App
      # App Get Entry List DTO.
      # @deprecated Use {UU::OS::AppMetaModel::AppMetaModelGetEntryList} instead.
      class AppGetEntryList < UU::OS::REST::PagingCriteria

        # The <b>UES query</b> string. It has to conform the ues query syntax (see documentation
        # for more info). Filtering and order of theresult list can be specified there. When
        # null is set, no filtering is applied and entries are ordered by name of referenced
        # artifact (and codeand type as the second and the third criteria).
        attr_accessor :query

        # Flag for recursive listing. It means that if the listed organizational unit contains
        # inner folders and the recursive flag is true, entries of theall inner folders are
        # in result too. When the recursive flag is null or false, only entries are returned
        # exactly from the listed organizationalunit.
        attr_accessor :recursive

        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

        def recursive
          attributes[:recursive]
        end

        def recursive=(val)
          attributes[:recursive] = val
        end

      end
    end

  end
end
